package com.qmth.qrzk.repository.user.model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 题库建设任务
 * @author 马涛
 *
 */
public class TkjsTask {
	private Integer id;
	private Integer batchId;
	private Date planStartTime;//计划开工时间
	private Date planEndTime;//计划结束时间
	private Date realStartTime;//实际开工时间
	private Date realEndTime;//实际结束时间
	private String remark;//备注
	private Integer createdBy;
	private Date createdTime;
	private Date updatedTime;		//最近更新时间
	private Integer updatedBy; //最近更新人
	private String guid;
	private Integer courseId;
	private Course course;
	private String courseCode;//Excel导入数据时使用
	private String courseName;//Excel导入数据时使用
	private String teachers;//Excel导入数据时使用
	private int inputNum;	//当前任务下录题的数量
	private List<TkjsTaskUserLink> teacherLinks;
	private List<User> teacherList = new ArrayList<User>();
	
	public TkjsTask() {
		
	}
	
	public TkjsTask(String courseCode, String courseName, String teachers) {
		this.courseCode = courseCode;
		this.courseName = courseName;
		this.teachers = teachers;
	}
	
	public List<User> getTeacherList() {
		return teacherList;
	}

	public void setTeacherList(List<User> teacherList) {
		this.teacherList = teacherList;
	}

	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public Integer getBatchId() {
		return batchId;
	}
	public void setBatchId(Integer batchId) {
		this.batchId = batchId;
	}
	public Date getPlanStartTime() {
		return planStartTime;
	}
	public void setPlanStartTime(Date planStartTime) {
		this.planStartTime = planStartTime;
	}
	public Date getPlanEndTime() {
		return planEndTime;
	}
	public void setPlanEndTime(Date planEndTime) {
		this.planEndTime = planEndTime;
	}
	public Date getRealStartTime() {
		return realStartTime;
	}
	public void setRealStartTime(Date realStartTime) {
		this.realStartTime = realStartTime;
	}
	public Date getRealEndTime() {
		return realEndTime;
	}
	public void setRealEndTime(Date realEndTime) {
		this.realEndTime = realEndTime;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public Integer getCreatedBy() {
		return createdBy;
	}
	public void setCreatedBy(Integer createdBy) {
		this.createdBy = createdBy;
	}
	public Date getCreatedTime() {
		return createdTime;
	}
	public void setCreatedTime(Date createdTime) {
		this.createdTime = createdTime;
	}
	public Date getUpdatedTime() {
		return updatedTime;
	}
	public void setUpdatedTime(Date updatedTime) {
		this.updatedTime = updatedTime;
	}
	public Integer getUpdatedBy() {
		return updatedBy;
	}
	public void setUpdatedBy(Integer updatedBy) {
		this.updatedBy = updatedBy;
	}
	public String getGuid() {
		return guid;
	}
	public void setGuid(String guid) {
		this.guid = guid;
	}
	public Integer getCourseId() {
		return courseId;
	}
	public void setCourseId(Integer courseId) {
		this.courseId = courseId;
	}
	public Course getCourse() {
		return course;
	}
	public void setCourse(Course course) {
		this.course = course;
	}
	public List<TkjsTaskUserLink> getTeacherLinks() {
		if(teacherLinks == null){
			teacherLinks = new ArrayList<TkjsTaskUserLink>();
		}
		return teacherLinks;
	}
	public void setTeacherLinks(List<TkjsTaskUserLink> teacherLinks) {
		this.teacherLinks = teacherLinks;
	}
	public String getTeachers() {
		return teachers;
	}
	public void setTeachers(String teachers) {
		this.teachers = teachers;
	}
	public String getCourseCode() {
		return courseCode;
	}
	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}
	public String getCourseName() {
		return courseName;
	}
	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public int getInputNum() {
		return inputNum;
	}

	public void setInputNum(int inputNum) {
		this.inputNum = inputNum;
	}

}
